CS::RenderManager::PostEffectManager::LayerInputMap Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes
CS::RenderManager::PostEffectManager::LayerInputMap Struct Reference

Custom input mapping for a layer. More...

`#include <csplugincommon/rendermanager/posteffects.h>`

List of all members.

## Public Attributes
Layer * | inputLayer
| Input layer.
csString | inputPixelSizeName
| If not empty the SV with that name receives the 'pixel size' (values to add to X/Y to get next input pixel) for this input.
csRef< csShaderVariable > | manualInput
| Shader variable for manually specifying an inout texture.
csRect | sourceRect
| If not empty specifies the rectangle of the input texture, in pixels, the be used as input for the layer.
csString | texcoordName
| Name of the shader variable to provide the texture coordinates for the input layer texture in.
csString | textureName
| Name of the shader variable to provide the input layer texture in.

## Detailed Description

Custom input mapping for a layer.

Definition at line 161 of file posteffects.h.

## Member Data Documentation

Layer* CS::RenderManager::PostEffectManager::LayerInputMap::inputLayer

Input layer.

Definition at line 169 of file posteffects.h.

csString CS::RenderManager::PostEffectManager::LayerInputMap::inputPixelSizeName

If not empty the SV with that name receives the 'pixel size' (values to add to X/Y to get next input pixel) for this input.

Definition at line 181 of file posteffects.h.

csRef<csShaderVariable> CS::RenderManager::PostEffectManager::LayerInputMap::manualInput

Shader variable for manually specifying an inout texture.

Takes precedence over inputLayer and textureName if given.

Definition at line 167 of file posteffects.h.

csRect CS::RenderManager::PostEffectManager::LayerInputMap::sourceRect

If not empty specifies the rectangle of the input texture, in pixels, the be used as input for the layer.

Definition at line 186 of file posteffects.h.

csString CS::RenderManager::PostEffectManager::LayerInputMap::texcoordName

Name of the shader variable to provide the texture coordinates for the input layer texture in.

Definition at line 176 of file posteffects.h.

csString CS::RenderManager::PostEffectManager::LayerInputMap::textureName

Name of the shader variable to provide the input layer texture in.

Definition at line 171 of file posteffects.h.

The documentation for this struct was generated from the following file:

- csplugincommon/rendermanager/posteffects.h